{*******************************************************}
{                                                       }
{       JNI Wrapper for Delphi Demo                     }
{       This example demonstrates a Delphi program      }
{       that invokes a Java program through             }
{       the JNI Wrapper and the java program in         }
{       turn invokes a DLL written in Delphi which       }
{       in turn calls Java code!                        }
{       (See native.dpr and NativeExample.java          }
{                                                       }
{       Copyright (c) 1998 Jonathan Revusky             }
{                                                       }
{       Java and Delphi Freelance programming           }
{             jrevusky@bigfoot.com                      }
{                                                       }
{*******************************************************}

program bothways;

// This demonstrates an .exe that invokes a java class
// which in turns invokes delphi code in a dll.
// See NativeExample.java and Native.dpr

uses
  SysUtils, Classes,
  JavaRuntime;

var
  Runtime : TJavaRuntime;

begin
  try
//    Runtime := TJavaRuntime.Create(MSJava); // If you used this line, you would create a MS JVM.
    Runtime := TJavaRuntime.GetDefault;
// We can pass a Nil as the String list and this
// gets massaged into a java String[] array with zero elements.
    Runtime.callMain('NativeExample', Nil);
    Runtime.Wait;
  except
    on Exception do ShowException(ExceptObject, ExceptAddr);
  end;
end.

