{*******************************************************}
{                                                       }
{       JNI Wrapper for Delphi Demo                     }
{       Demonstrates about the Simplest                 }
{       possible use of the JNI Wrapper.                }
{                                                       }
{       The main in HelloWorld.java simply spits        }
{       back the strings it receives. This wrapper      }
{       allows you to use TStringList to pass the       }
{       arguments. CallMain is a convenience method.    }
{                                                       }
{       Copyright (c) 1998 Jonathan Revusky             }
{                                                       }
{       Java and Delphi Freelance programming           }
{             jrevusky@bigfoot.com                      }
{                                                       }
{*******************************************************}

program jtest1;

// example that shows to launch a class
// using the JavaRuntime unit.

{$APPTYPE CONSOLE}

    uses
        SysUtils, Classes, 
        JavaRuntime;
    
    var
        strings : TStringList;
        Runtime : TJavaRuntime;
    
    begin
        try
            strings := TStringList.create;
            strings.add('Hello, world.');
            strings.add('Salut, monde.');
            strings.add('Hola, mundo.');
            Runtime := TJavaRuntime.getDefault;
            Runtime.callMain('HelloWorld', strings);
            Strings.Free;
            Runtime.Wait;
        except
            on EJvmException do 
                ShowException(ExceptObject, ExceptAddr);
        end;
end.

