{*******************************************************}
{                                                       }
{       JNI Wrapper for Delphi Demo 2                   }
{       Demonstrates the use of the TJavaParams         }
{       class to pass parameters to a static            }
{       method.  The test method simply echoes          }
{       the parameters to the console.                  }
{                                                       }
{       Copyright (c) 1998 Jonathan Revusky             }
{                                                       }
{       Java and Delphi Freelance programming           }
{             jrevusky@bigfoot.com                      }
{                                                       }
{*******************************************************}

program jtest2;

// Example that shows how to call 
// a static method using the JNIWrapper unit.

{$APPTYPE CONSOLE}

    uses
        Windows,
        SysUtils,
        Classes,
        JNIWrapper;
    
    var
        JNITest : TJavaClass;
        params : TJavaParams;
        method : TJavaMethod;
    
    begin
        try
            params := TJavaParams.Create;
            params.addInt(12);
            params.addLong(1000000000);
            params.addString('A Brave New World');
            jniTest := TJavaClass.Create('HelloWorld');
            method := TJavaMethod.Create(JNITest, 'test', static, AInt, params, Nil);
            method.Call(params, Nil);
            params.Free;
            method.Free;
            JNITest.free;
        except
            on EJvmException do 
                ShowException(ExceptObject, ExceptAddr);
        end;
end.

