{*******************************************************
*                                    
*       JNI Wrapper for Delphi Demo 5                   
*       Demonstrates how to explicitly invoke a 1.2 level VM
*
*       Copyright (c) 1998 Jonathan Revusky
*
*       Java and Delphi Freelance programming
*             jrevusky@bigfoot.com
*
*******************************************************}

program jtest5;

// example that shows how to instantiate an object
// and invoke a method on it using the JNI Wrapper

{$APPTYPE CONSOLE}

    uses
        Windows, SysUtils, Classes,
        JavaRuntime, JNIWrapper;

    var
        JFrame : TJavaClass;
        ShowMethod, SizeMethod : TJavaMethod;
        params : TJavaParams;
        TestObject : TJavaObject;
        Runtime : TJavaRuntime;

    begin
        try
            Runtime := TJavaRuntime.Create(SunJava12);
            JFrame := TJavaClass.Create('javax.swing.JFrame');
            params := TJavaParams.Create;
            params.addString('This is a Java 1.2 Swing JFrame');
            TestObject := JFrame.Instantiate(params);
            params.Free;
            ShowMethod := TJavaMethod.Create(JFrame, 'show', nonstatic, Void, Nil, Nil);
            params := TJavaParams.Create;
            params.addInt(500);
            params.addInt(300);
            SizeMethod := TJavaMethod.Create(JFrame, 'setSize', nonstatic, Void, params, Nil);
            SizeMethod.Call(params, TestObject);
            ShowMethod.Call(Nil, TestObject);
            Runtime.Wait; // Wait until the JVM has exited all the threads.
        except
            on EJavaRuntimeNotFound do 
                writeln('Could not load Sun 1.2 JVM');
            on EJvmException do 
                ShowException(ExceptObject, ExceptAddr);
        end;
end.

