{******************************************************
*
*       Source for a DLL to demonstrate
*       how Delphi code can be invoked from Java
*       and create and return a Java object.
*
*       See NativeExample.java for the other half
*       of the demo source code
*
*       Copyright (c) 1998 Jonathan Revusky
*
*       Java and Delphi Freelance programming
*             jrevusky@bigfoot.com
*
*******************************************************}

library native;

    uses
        SysUtils, Classes,
        JNI, JNIWrapper;



// Just a Win32 API call.
    function MessageBox(hWnd: Integer;
                        lpText, lpCaption: PChar;
                        uType: Integer)
    : Integer; stdcall; external 'user32.dll' name 'MessageBoxA';

// Below is the native function referenced in NativeExample.java
// You can get the signature of the function by calling javah -jni ClassName.
// Unfortunately, you must then translate the function prototype from C
// to Pascal. That's not so hard though.


    function Java_NativeExample_delphiFunc (penv : PJNIEnv ;
                                            jc : jclass;
                                            message : jstring;
                                            width, height : jint
                                            ) : jobject ; stdcall;
        var
            JavaClass : TJavaClass;
            JavaObject : TJavaObject;
            Params : TJavaParams;
        
        begin
            // The following line is vital for using the JNI Wrapper code
            // in the J->D direction.
            TJavaVM.SetThreadPenv(penv);
            
            JavaClass := TJavaClass.Create('NativeExample$PresizedClosableFrame');
            Params := TJavaParams.Create;
            Params.addString('Greetings from Delphi');
            Params.addInt(width);
            Params.addInt(height);
            JavaObject := TJavaObject.Create(JavaClass, Params);
            
            MessageBox(0, JtoCString(message), 'Just a Windows Message Box', 0);
            result := JavaObject.Handle;
        end;

exports Java_NativeExample_delphiFunc;

end.
